diff -Naurd cluster-3.0.0.rc2/gfs2/mkfs/main_jadd.c cluster-3.0.0.rc3/gfs2/mkfs/main_jadd.c
--- cluster-3.0.0.rc2/gfs2/mkfs/main_jadd.c	2009-05-07 09:09:32.000000000 +0200
+++ cluster-3.0.0.rc3/gfs2/mkfs/main_jadd.c	2009-06-11 11:02:55.000000000 +0200
@@ -15,6 +15,8 @@
 #include <time.h>
 #include <errno.h>
 #include <stdarg.h>
+#include <libintl.h>
+#define _(String) gettext(String)
 
 #include <linux/types.h>
 #include "libgfs2.h"
@@ -23,63 +25,57 @@
 #define BUF_SIZE 4096
 #define RANDOM(values) ((values) * (random() / (RAND_MAX + 1.0)))
 
-void
-make_jdata(int fd, char *value)
+void make_jdata(int fd, const char *value)
 {
         int err;
         uint32_t val;
 
         err = ioctl(fd, FS_IOC_GETFLAGS, &val);
         if (err)
-                die("error doing get flags (%d): %s\n", err, strerror(errno));
+                die( _("error doing get flags (%d): %s\n"), err, strerror(errno));
         if (strcmp(value, "set") == 0)
                 val |= FS_JOURNAL_DATA_FL;
         if (strcmp(value, "clear") == 0)
                 val &= ~FS_JOURNAL_DATA_FL;
         err = ioctl(fd, FS_IOC_SETFLAGS, &val);
         if (err)
-                die("error doing set flags (%d): %s\n", err, strerror(errno));
+                die( _("error doing set flags (%d): %s\n"), err, strerror(errno));
 }
 
-int 
-rename2system(struct gfs2_sbd *sdp, char *new_dir, char *new_name)
+int rename2system(struct gfs2_sbd *sdp, const char *new_dir, const char *new_name)
 {
 	char oldpath[PATH_MAX], newpath[PATH_MAX];
 	int error = 0;
 	error = snprintf(oldpath, PATH_MAX, "%s/new_inode", 
 			 sdp->metafs_path);
 	if (error >= PATH_MAX)
-		die("rename2system (1)\n");
+		die( _("rename2system (1)\n"));
 
 	error = snprintf(newpath, PATH_MAX, "%s/%s/%s",
 			 sdp->metafs_path, new_dir, new_name);
 	if (error >= PATH_MAX)
-		die("rename2system (2)\n");
+		die( _("rename2system (2)\n"));
 	
 	return rename(oldpath, newpath);
 }
 
 /**
  * print_usage - print out usage information
- *
+ * @prog_name: The name of this program
  */
 
-static void 
-print_usage(void)
+static void print_usage(const char *prog_name)
 {
-	printf("Usage:\n");
-	printf("\n");
-	printf("%s [options] /path/to/filesystem\n", prog_name);
-	printf("\n");
-	printf("Options:\n");
-	printf("\n");
-	printf("  -c <MB>           Size of quota change file\n");
-	printf("  -D                Enable debugging code\n");
-	printf("  -h                Print this help, then exit\n");
-	printf("  -J <MB>           Size of journals\n");
-	printf("  -j <num>          Number of journals\n");
-	printf("  -q                Don't print anything\n");
-	printf("  -V                Print program version information, then exit\n");
+	printf( _("Usage:\n\n"
+		"%s [options] /path/to/filesystem\n\n"
+		"Options:\n\n"
+		"  -c <MB>           Size of quota change file\n"
+		"  -D                Enable debugging code\n"
+		"  -h                Print this help, then exit\n"
+		"  -J <MB>           Size of journals\n"
+		"  -j <num>          Number of journals\n"
+		"  -q                Don't print anything\n"
+		"  -V                Print program version information, then exit\n"), prog_name);
 }
 
 /**
@@ -90,8 +86,7 @@
  *
  */
 
-static void
-decode_arguments(int argc, char *argv[], struct gfs2_sbd *sdp)
+static void decode_arguments(int argc, char *argv[], struct gfs2_sbd *sdp)
 {
 	int cont = TRUE;
 	int optchar;
@@ -107,8 +102,8 @@
 			sdp->debug = TRUE;
 			break;
 		case 'h':
-			print_usage();
-			exit(EXIT_SUCCESS);
+			print_usage(argv[0]);
+			exit(0);
 			break;
 		case 'J':
 			sdp->jsize = atoi(optarg);
@@ -122,22 +117,22 @@
 		case 'V':
 			printf("gfs2_jadd %s (built %s %s)\n", RELEASE_VERSION,
 			       __DATE__, __TIME__);
-			printf("%s\n", REDHAT_COPYRIGHT);
-			exit(EXIT_SUCCESS);
+			printf( _(REDHAT_COPYRIGHT "\n"));
+			exit(0);
 			break;
 		case 'X':
 			sdp->expert = TRUE;
 			break;
 		case ':':
 		case '?':
-			fprintf(stderr, "Please use '-h' for usage.\n");
+			fprintf(stderr, _("Please use '-h' for usage.\n"));
 			exit(EXIT_FAILURE);
 			break;
 		case EOF:
 			cont = FALSE;
 			break;
 		default:
-			die("unknown option: %c\n", optchar);
+			die( _("unknown option: %c\n"), optchar);
 			break;
 		};
 	}
@@ -146,13 +141,13 @@
 		sdp->path_name = argv[optind];
 		optind++;
 	} else
-		die("no path specified (try -h for help)\n");
+		die( _("no path specified (try -h for help)\n"));
 	
 	if (optind < argc)
-		die("Unrecognized option: %s\n", argv[optind]);
+		die( _("Unrecognized option: %s\n"), argv[optind]);
 
 	if (sdp->debug) {
-		printf("Command Line Arguments:\n");
+		printf( _("Command Line Arguments:\n"));
 		printf("  qcsize = %u\n", sdp->qcsize);
 		printf("  jsize = %u\n", sdp->jsize);
 		printf("  journals = %u\n", sdp->md.journals);
@@ -165,11 +160,11 @@
 verify_arguments(struct gfs2_sbd *sdp)
 {
 	if (!sdp->md.journals)
-		die("no journals specified\n");
+		die( _("no journals specified\n"));
 	if (sdp->jsize < 32 || sdp->jsize > 1024)
-		die("bad journal size\n");
+		die( _("bad journal size\n"));
 	if (!sdp->qcsize || sdp->qcsize > 64)
-		die("bad quota change size\n");
+		die( _("bad quota change size\n"));
 }
 
 /**
@@ -189,13 +184,13 @@
 	if (sdp->expert)
 		printf("Expert mode:            on\n");
 
-	printf("Filesystem:            %s\n", sdp->path_name);
-	printf("Old Journals           %u\n", sdp->orig_journals);
-	printf("New Journals           %u\n", sdp->md.journals);
+	printf( _("Filesystem:            %s\n"), sdp->path_name);
+	printf( _("Old Journals           %u\n"), sdp->orig_journals);
+	printf( _("New Journals           %u\n"), sdp->md.journals);
 
 }
 
-int 
+static int
 create_new_inode(struct gfs2_sbd *sdp)
 {
 	char name[PATH_MAX];
@@ -213,17 +208,16 @@
 		if (errno == EEXIST) {
 			error = unlink(name);
 			if (error)
-				die("can't unlink %s: %s\n",
+				die( _("can't unlink %s: %s\n"),
 				    name, strerror(errno));
 		} else
-			die("can't create %s: %s\n", name, strerror(errno));
+			die( _("can't create %s: %s\n"), name, strerror(errno));
 	}
 	
 	return fd;
 }
 
-void 
-add_ir(struct gfs2_sbd *sdp)
+void add_ir(struct gfs2_sbd *sdp)
 {
 	int fd;
 	char new_name[256];
@@ -237,8 +231,8 @@
 		memset(&ir, 0, sizeof(struct gfs2_inum_range));
 		if (write(fd, (void*)&ir, sizeof(struct gfs2_inum_range)) !=
 		    sizeof(struct gfs2_inum_range)) {
-			fprintf(stderr, "write error: %s from %s:%d: "
-				"offset 0\n", strerror(errno),
+			fprintf(stderr, _( "write error: %s from %s:%d: "
+				"offset 0\n"), strerror(errno),
 				__FUNCTION__, __LINE__);
 			exit(-1);
 		}
@@ -249,11 +243,11 @@
 	sprintf(new_name, "inum_range%u", sdp->md.journals);
 	error = rename2system(sdp, "per_node", new_name);
 	if (error < 0 && errno != EEXIST)
-		die("can't rename2system %s (%d): %s\n", 
+		die( _("can't rename2system %s (%d): %s\n"), 
 		new_name, error, strerror(errno));
 }
 
-void 
+static void 
 add_sc(struct gfs2_sbd *sdp)
 {
 	int fd;
@@ -269,8 +263,8 @@
 		memset(&sc, 0, sizeof(struct gfs2_statfs_change));
 		if (write(fd, (void*)&sc, sizeof(struct gfs2_statfs_change)) !=
 		    sizeof(struct gfs2_statfs_change)) {
-			fprintf(stderr, "write error: %s from %s:%d: "
-				"offset 0\n", strerror(errno),
+			fprintf(stderr, _("write error: %s from %s:%d: "
+				"offset 0\n"), strerror(errno),
 				__FUNCTION__, __LINE__);
 			exit(-1);
 		}
@@ -281,11 +275,11 @@
 	sprintf(new_name, "statfs_change%u", sdp->md.journals);
 	error = rename2system(sdp, "per_node", new_name);
 	if (error < 0 && errno != EEXIST)
-		die("can't rename2system %s (%d): %s\n",
+		die( _("can't rename2system %s (%d): %s\n"),
 		    new_name, error, strerror(errno));
 }
 
-void 
+static void 
 add_qc(struct gfs2_sbd *sdp)
 {
 	int fd;
@@ -306,8 +300,8 @@
 
 		for (x=0; x<blocks; x++) {
 			if (write(fd, buf, sdp->bsize) != sdp->bsize) {
-				fprintf(stderr, "write error: %s from %s:%d: "
-					"block %lld (0x%llx)\n",
+				fprintf(stderr, _("write error: %s from %s:%d: "
+					"block %lld (0x%llx)\n"),
 					strerror(errno),
 					__FUNCTION__, __LINE__,
 					(unsigned long long)x,
@@ -326,8 +320,8 @@
 
 		for (x=0; x<blocks; x++) {
 			if (write(fd, buf, sdp->bsize) != sdp->bsize) {
-				fprintf(stderr, "write error: %s from %s:%d: "
-					"block %lld (0x%llx)\n",
+				fprintf(stderr, _("write error: %s from %s:%d: "
+					"block %lld (0x%llx)\n"),
 					strerror(errno),
 					__FUNCTION__, __LINE__,
 					(unsigned long long)x,
@@ -338,7 +332,7 @@
 
 		error = fsync(fd);
 		if (error)
-			die("can't fsync: %s\n",
+			die( _("can't fsync: %s\n"),
 			    strerror(errno));
 	}
 
@@ -347,22 +341,22 @@
 	sprintf(new_name, "quota_change%u", sdp->md.journals);
 	error = rename2system(sdp, "per_node", new_name);
 	if (error < 0 && errno != EEXIST)
-		die("can't rename2system %s (%d): %s\n",
+		die( _("can't rename2system %s (%d): %s\n"),
 		    new_name, error, strerror(errno));
 }
 
-void 
+static void 
 gather_info(struct gfs2_sbd *sdp)
 {
 	struct statfs statbuf;
 	if (statfs(sdp->path_name, &statbuf) < 0) {
-		die("Could not statfs the filesystem %s: %s\n",
+		die( _("Could not statfs the filesystem %s: %s\n"),
 		    sdp->path_name, strerror(errno));
 	}
 	sdp->bsize = statbuf.f_bsize;
 }
 
-void 
+static void 
 find_current_journals(struct gfs2_sbd *sdp)
 {
 	char jindex[PATH_MAX];
@@ -373,8 +367,8 @@
 	sprintf(jindex, "%s/jindex", sdp->metafs_path);
 	dirp = opendir(jindex);
 	if (!dirp) {
-		die("Could not find the jindex directory "
-		    "in gfs2meta mount! error: %s\n", strerror(errno));
+		die( _("Could not find the jindex directory "
+		    "in gfs2meta mount! error: %s\n"), strerror(errno));
 	}
 	while (dirp) {
 		if ((dp = readdir(dirp)) != NULL) {
@@ -386,14 +380,14 @@
 close:
 	closedir(dirp);
 	if (existing_journals <= 0) {
-		die("There are no journals for this "
-		    "gfs2 fs! Did you mkfs.gfs2 correctly?\n");
+		die( _("There are no journals for this "
+		    "gfs2 fs! Did you mkfs.gfs2 correctly?\n"));
 	}
 
 	sdp->orig_journals = existing_journals;
 }
 
-void 
+static void 
 add_j(struct gfs2_sbd *sdp)
 {
 	int fd;
@@ -414,8 +408,8 @@
 		memset(buf, 0, sdp->bsize);
 		for (x=0; x<blocks; x++) {
 			if (write(fd, buf, sdp->bsize) != sdp->bsize) {
-				fprintf(stderr, "write error: %s from %s:%d: "
-					"block %lld (0x%llx)\n",
+				fprintf(stderr, _("write error: %s from %s:%d: "
+					"block %lld (0x%llx)\n"),
 					strerror(errno),
 					__FUNCTION__, __LINE__,
 					(unsigned long long)x,
@@ -442,8 +436,8 @@
 			((struct gfs2_log_header *)buf)->lh_hash = cpu_to_be32(hash);
 
 			if (write(fd, buf, sdp->bsize) != sdp->bsize) {
-				fprintf(stderr, "write error: %s from %s:%d: "
-					"block %lld (0x%llx)\n",
+				fprintf(stderr, _("write error: %s from %s:%d: "
+					"block %lld (0x%llx)\n"),
 					strerror(errno),
 					__FUNCTION__, __LINE__,
 					(unsigned long long)x,
@@ -457,7 +451,7 @@
 
 		error = fsync(fd);
 		if (error)
-			die("can't fsync: %s\n",
+			die( _("can't fsync: %s\n"),
 			    strerror(errno));
 	}
 
@@ -466,7 +460,7 @@
 	sprintf(new_name, "journal%u", sdp->md.journals);
 	error = rename2system(sdp, "jindex", new_name);
 	if (error < 0 && errno != EEXIST)
-		die("can't rename2system %s (%d): %s\n",
+		die( _("can't rename2system %s (%d): %s\n"),
 		    new_name, error, strerror(errno));
 }
 
@@ -477,8 +471,7 @@
  *
  */
 
-void 
-main_jadd(int argc, char *argv[])
+void main_jadd(int argc, char *argv[])
 {
 	struct gfs2_sbd sbd, *sdp = &sbd;
 	unsigned int total;
@@ -493,12 +486,12 @@
 	
 	sdp->path_fd = open(sdp->path_name, O_RDONLY);
 	if (sdp->path_fd < 0)
-		die("can't open root directory %s: %s\n",
+		die( _("can't open root directory %s: %s\n"),
 		    sdp->path_name, strerror(errno));
 
 	if (check_for_gfs2(sdp)) {
 		if (errno == EINVAL)
-			fprintf(stderr, "Not a valid GFS2 mount point: %s\n",
+			fprintf(stderr, _("Not a valid GFS2 mount point: %s\n"),
 					sdp->path_name);
 		else
 			fprintf(stderr, "%s\n", strerror(errno));
@@ -508,7 +501,7 @@
 	gather_info(sdp);
 
 	if (mount_gfs2_meta(sdp)) {
-		fprintf(stderr, "Error mounting GFS2 metafs: %s\n",
+		fprintf(stderr, _("Error mounting GFS2 metafs: %s\n"),
 				strerror(errno));
 		exit(-1);
 	}
diff -Naurd cluster-3.0.0.rc2/gfs2/mkfs/main_mkfs.c cluster-3.0.0.rc3/gfs2/mkfs/main_mkfs.c
--- cluster-3.0.0.rc2/gfs2/mkfs/main_mkfs.c	2009-05-07 09:09:32.000000000 +0200
+++ cluster-3.0.0.rc3/gfs2/mkfs/main_mkfs.c	2009-06-11 11:02:55.000000000 +0200
@@ -13,14 +13,14 @@
 #include <mntent.h>
 #include <ctype.h>
 #include <sys/time.h>
+#include <libintl.h>
+#define _(String) gettext(String)
 
 #include <linux/types.h>
 #include "libgfs2.h"
 #include "gfs2_mkfs.h"
 #include "libvolume_id.h"
 
-char *prog_name;
-
 /**
  * This function is for libgfs2's sake.
  */
@@ -36,31 +36,28 @@
 
 /**
  * print_usage - print out usage information
- *
+ * @prog_name: The name of this program
  */
 
 static void
-print_usage(void)
+print_usage(const char *prog_name)
 {
-	printf("Usage:\n");
-	printf("\n");
-	printf("%s [options] <device> [ block-count ]\n", prog_name);
-	printf("\n");
-	printf("Options:\n");
-	printf("\n");
-	printf("  -b <bytes>       Filesystem block size\n");
-	printf("  -c <MB>          Size of quota change file\n");
-	printf("  -D               Enable debugging code\n");
-	printf("  -h               Print this help, then exit\n");
-	printf("  -J <MB>          Size of journals\n");
-	printf("  -j <num>         Number of journals\n");
-	printf("  -O               Don't ask for confirmation\n");
-	printf("  -p <name>        Name of the locking protocol\n");
-	printf("  -q               Don't print anything\n");
-	printf("  -r <MB>          Resource Group Size\n");
-	printf("  -t <name>        Name of the lock table\n");
-	printf("  -u <MB>          Size of unlinked file\n");
-	printf("  -V               Print program version information, then exit\n");
+	printf( _("Usage:\n\n"
+		"%s [options] <device> [ block-count ]\n\n"
+		"Options:\n\n"
+		"  -b <bytes>       Filesystem block size\n"
+		"  -c <MB>          Size of quota change file\n"
+		"  -D               Enable debugging code\n"
+		"  -h               Print this help, then exit\n"
+		"  -J <MB>          Size of journals\n"
+		"  -j <num>         Number of journals\n"
+		"  -O               Don't ask for confirmation\n"
+		"  -p <name>        Name of the locking protocol\n"
+		"  -q               Don't print anything\n"
+		"  -r <MB>          Resource Group Size\n"
+		"  -t <name>        Name of the lock table\n"
+		"  -u <MB>          Size of unlinked file\n"
+		"  -V               Print program version information, then exit\n"), prog_name);
 }
 
 /**
@@ -71,8 +68,7 @@
  *
  */
 
-static void
-decode_arguments(int argc, char *argv[], struct gfs2_sbd *sdp)
+static void decode_arguments(int argc, char *argv[], struct gfs2_sbd *sdp)
 {
 	int cont = TRUE;
 	int optchar;
@@ -98,8 +94,8 @@
 			break;
 
 		case 'h':
-			print_usage();
-			exit(EXIT_SUCCESS);
+			print_usage(argv[0]);
+			exit(0);
 			break;
 
 		case 'J':
@@ -116,7 +112,7 @@
 
 		case 'p':
 			if (strlen(optarg) >= GFS2_LOCKNAME_LEN)
-				die("lock protocol name %s is too long\n",
+				die( _("lock protocol name %s is too long\n"),
 				    optarg);
 			strcpy(sdp->lockproto, optarg);
 			break;
@@ -131,7 +127,7 @@
 
 		case 't':
 			if (strlen(optarg) >= GFS2_LOCKNAME_LEN)
-				die("lock table name %s is too long\n", optarg);
+				die( _("lock table name %s is too long\n"), optarg);
 			strcpy(sdp->locktable, optarg);
 			break;
 
@@ -142,7 +138,7 @@
 		case 'V':
 			printf("gfs2_mkfs %s (built %s %s)\n", RELEASE_VERSION,
 			       __DATE__, __TIME__);
-			printf("%s\n", REDHAT_COPYRIGHT);
+			printf( _(REDHAT_COPYRIGHT "\n"));
 			exit(EXIT_SUCCESS);
 			break;
 
@@ -152,7 +148,7 @@
 
 		case ':':
 		case '?':
-			fprintf(stderr, "Please use '-h' for usage.\n");
+			fprintf(stderr, _("Please use '-h' for usage.\n"));
 			exit(EXIT_FAILURE);
 			break;
 
@@ -169,11 +165,11 @@
 				 isdigit(optarg[0]))
 				sdp->orig_fssize = atol(optarg);
 			else
-				die("More than one device specified (try -h for help)\n");
+				die( _("More than one device specified (try -h for help)\n"));
 			break;
 
 		default:
-			die("unknown option: %c\n", optchar);
+			die( _("unknown option: %c\n"), optchar);
 			break;
 		};
 	}
@@ -182,16 +178,16 @@
 		strcpy(sdp->device_name, argv[optind++]);
 
 	if (sdp->device_name[0] == '\0')
-		die("no device specified (try -h for help)\n");
+		die( _("no device specified (try -h for help)\n"));
 
 	if (optind < argc)
 		sdp->orig_fssize = atol(argv[optind++]);
 
 	if (optind < argc)
-		die("Unrecognized argument: %s\n", argv[optind]);
+		die( _("Unrecognized argument: %s\n"), argv[optind]);
 
 	if (sdp->debug) {
-		printf("Command Line Arguments:\n");
+		printf( _("Command Line Arguments:\n"));
 		printf("  bsize = %u\n", sdp->bsize);
 		printf("  qcsize = %u\n", sdp->qcsize);
 		printf("  jsize = %u\n", sdp->jsize);
@@ -200,7 +196,7 @@
 		printf("  proto = %s\n", sdp->lockproto);
 		printf("  quiet = %d\n", sdp->quiet);
 		if (sdp->rgsize==-1)
-			printf("  rgsize = optimize for best performance\n");
+			printf( _("  rgsize = optimize for best performance\n"));
 		else
 			printf("  rgsize = %u\n", sdp->rgsize);
 		printf("  table = %s\n", sdp->locktable);
@@ -229,33 +225,33 @@
 		   strcmp(lockproto, "lock_dlm") == 0) {
 		for (c = locktable; *c; c++) {
 			if (isspace(*c))
-				die("locktable error: contains space characters\n");
+				die( _("locktable error: contains space characters\n"));
 			if (!isprint(*c))
-				die("locktable error: contains unprintable characters\n");
+				die( _("locktable error: contains unprintable characters\n"));
 		}
 
 		c = strstr(locktable, ":");
 		if (!c)
-			die("locktable error: missing colon in the locktable\n");
+			die( _("locktable error: missing colon in the locktable\n"));
 
 		if (c == locktable)
-			die("locktable error: missing cluster name\n");
+			die( _("locktable error: missing cluster name\n"));
 		if (c - locktable > 16)
-			die("locktable error: cluster name too long\n");
+			die( _("locktable error: cluster name too long\n"));
 
 		c++;
 		if (!c)
-			die("locktable error: missing filesystem name\n");
+			die( _("locktable error: missing filesystem name\n"));
 
 		if (strstr(c, ":"))
-			die("locktable error: more than one colon present\n");
+			die( _("locktable error: more than one colon present\n"));
 
 		if (!strlen(c))
-			die("locktable error: missing filesystem name\n");
+			die( _("locktable error: missing filesystem name\n"));
 		if (strlen(c) > 16)
-			die("locktable error: filesystem name too long\n");
+			die( _("locktable error: filesystem name too long\n"));
 	} else {
-		die("lockproto error: %s unknown\n", lockproto);
+		die( _("lockproto error: %s unknown\n"), lockproto);
 	}
 }
 
@@ -273,28 +269,28 @@
 			break;
 
 	if (!x || sdp->bsize > 65536)
-		die("block size must be a power of two between 512 and 65536\n");
+		die( _("block size must be a power of two between 512 and 65536\n"));
 
 	/* Look at this!  Why can't we go bigger than 2GB? */
 	if (sdp->expert) {
 		if (1 > sdp->rgsize || sdp->rgsize > 2048)
-			die("bad resource group size\n");
+			die( _("bad resource group size\n"));
 	} else {
 		if (32 > sdp->rgsize || sdp->rgsize > 2048)
-			die("bad resource group size\n");
+			die( _("bad resource group size\n"));
 	}
 
 	if (!sdp->md.journals)
-		die("no journals specified\n");
+		die( _("no journals specified\n"));
 
 	if (sdp->jsize < 8 || sdp->jsize > 1024)
-		die("bad journal size\n");
+		die( _("bad journal size\n"));
 
 	if (!sdp->utsize || sdp->utsize > 64)
-		die("bad unlinked size\n");
+		die( _("bad unlinked size\n"));
 
 	if (!sdp->qcsize || sdp->qcsize > 64)
-		die("bad quota change size\n");
+		die( _("bad quota change size\n"));
 }
 
 /**
@@ -311,14 +307,14 @@
 
 	fd = open(sdp->device_name, O_RDONLY);
 	if (fd < 0)
-		die("Error: device %s not found.\n", sdp->device_name);
+		die( _("Error: device %s not found.\n"), sdp->device_name);
 	vid = volume_id_open_fd(fd);
 	if (vid == NULL) {
 		close(fd);
-		die("error identifying the contents of %s: %s\n",
+		die( _("error identifying the contents of %s: %s\n"),
 		    sdp->device_name, strerror(errno));
 	}
-	printf("This will destroy any data on %s.\n", sdp->device_name);
+	printf( _("This will destroy any data on %s.\n"), sdp->device_name);
 	if (volume_id_probe_all(vid, 0, sdp->device_size) == 0) {
 		const char *fstype, *fsusage;
 		int rc;
@@ -328,18 +324,18 @@
 			rc = volume_id_get_usage(vid, &fsusage);
 			if (!rc || strncmp(fsusage, "other", 5) == 0)
 				fsusage = "partition";
-			printf("  It appears to contain a %s %s.\n", fstype,
+			printf( _("  It appears to contain a %s %s.\n"), fstype,
 			       fsusage);
 		}
 	}
 	volume_id_close(vid);
 	close(fd);
-	printf("\nAre you sure you want to proceed? [y/n] ");
+	printf( _("\nAre you sure you want to proceed? [y/n] "));
 	if(!fgets(input, 32, stdin))
-		die("unable to read from stdin\n");
+		die( _("unable to read from stdin\n"));
 
 	if (input[0] != 'y')
-		die("aborted\n");
+		die( _("aborted\n"));
 	else
 		printf("\n");
 }
@@ -350,21 +346,21 @@
  *
  */
 
-void check_mount(char *device)
+static void check_mount(char *device)
 {
 	struct stat st_buf;
 	int fd;
 
 	if (stat(device, &st_buf) < 0)
-		die("could not stat device %s\n", device);
+		die( _("could not stat device %s\n"), device);
 	if (!S_ISBLK(st_buf.st_mode))
-		die("%s is not a block device\n", device);
+		die( _("%s is not a block device\n"), device);
 
 	fd = open(device, O_RDONLY | O_NONBLOCK | O_EXCL);
 
 	if (fd < 0) {
 		if (errno == EBUSY) {
-			die("device %s is busy\n", device);
+			die( _("device %s is busy\n"), device);
 		}
 	}
 	else {
@@ -434,31 +430,31 @@
 		return;
 
 	if (sdp->expert)
-		printf("Expert mode:               on\n");
+		printf( _("Expert mode:               on\n"));
 
-	printf("Device:                    %s\n", sdp->device_name);
+	printf( _("Device:                    %s\n"), sdp->device_name);
 
-	printf("Blocksize:                 %u\n", sdp->bsize);
-	printf("Device Size                %.2f GB (%"PRIu64" blocks)\n",
+	printf( _("Blocksize:                 %u\n"), sdp->bsize);
+	printf( _("Device Size                %.2f GB (%"PRIu64" blocks)\n"),
 	       real_device_size / ((float)(1 << 30)),
 	       real_device_size / sdp->bsize);
-	printf("Filesystem Size:           %.2f GB (%"PRIu64" blocks)\n",
+	printf( _("Filesystem Size:           %.2f GB (%"PRIu64" blocks)\n"),
 	       sdp->fssize / ((float)(1 << 30)) * sdp->bsize, sdp->fssize);
 
-	printf("Journals:                  %u\n", sdp->md.journals);
-	printf("Resource Groups:           %"PRIu64"\n", sdp->rgrps);
+	printf( _("Journals:                  %u\n"), sdp->md.journals);
+	printf( _("Resource Groups:           %"PRIu64"\n"), sdp->rgrps);
 
-	printf("Locking Protocol:          \"%s\"\n", sdp->lockproto);
-	printf("Lock Table:                \"%s\"\n", sdp->locktable);
+	printf( _("Locking Protocol:          \"%s\"\n"), sdp->lockproto);
+	printf( _("Lock Table:                \"%s\"\n"), sdp->locktable);
 
 	if (sdp->debug) {
 		printf("\n");
-		printf("Spills:                    %u\n",
+		printf( _("Spills:                    %u\n"),
 		       sdp->buf_list.spills);
-		printf("Writes:                    %u\n", sdp->writes);
+		printf( _("Writes:                    %u\n"), sdp->writes);
 	}
 
-	printf("UUID:                      %s\n", str_uuid(uuid));
+	printf( _("UUID:                      %s\n"), str_uuid(uuid));
 	printf("\n");
 }
 
@@ -469,8 +465,7 @@
  *
  */
 
-void
-main_mkfs(int argc, char *argv[])
+void main_mkfs(int argc, char *argv[])
 {
 	struct gfs2_sbd sbd, *sdp = &sbd;
 	int error;
@@ -502,7 +497,7 @@
 
 	sdp->device_fd = open(sdp->device_name, O_RDWR);
 	if (sdp->device_fd < 0)
-		die("can't open device %s: %s\n",
+		die( _("can't open device %s: %s\n"),
 		    sdp->device_name, strerror(errno));
 
 	if (!sdp->override)
@@ -517,7 +512,7 @@
 
 	device_size(sdp->device_fd, &real_device_size);
 	if (device_geometry(sdp)) {
-		fprintf(stderr, "Geometry error\n");
+		fprintf(stderr, _("Geometry error\n"));
 		exit(-1);
 	}
 	/* Convert optional block-count to basic blocks */
@@ -525,9 +520,9 @@
 		sdp->orig_fssize *= sdp->bsize;
 		sdp->orig_fssize >>= GFS2_BASIC_BLOCK_SHIFT;
 		if (sdp->orig_fssize > sdp->device.length) {
-			fprintf(stderr, "%s: Specified block count is bigger "
-				"than the actual device.\n", prog_name);
-			die("Device Size is %.2f GB (%"PRIu64" blocks)\n",
+			fprintf(stderr, _("%s: Specified block count is bigger "
+				"than the actual device.\n"), argv[0]);
+			die( _("Device Size is %.2f GB (%"PRIu64" blocks)\n"),
 			       real_device_size / ((float)(1 << 30)),
 			       real_device_size / sdp->bsize);
 		}
@@ -572,11 +567,11 @@
 
 	error = fsync(sdp->device_fd);
 	if (error)
-		die("can't fsync device (%d): %s\n",
+		die( _("can't fsync device (%d): %s\n"),
 		    error, strerror(errno));
 	error = close(sdp->device_fd);
 	if (error)
-		die("error closing device (%d): %s\n",
+		die( _("error closing device (%d): %s\n"),
 		    error, strerror(errno));
 
 	print_results(sdp, real_device_size, uuid);
diff -Naurd cluster-3.0.0.rc2/gfs2/mkfs/Makefile cluster-3.0.0.rc3/gfs2/mkfs/Makefile
--- cluster-3.0.0.rc2/gfs2/mkfs/Makefile	2009-05-07 09:09:32.000000000 +0200
+++ cluster-3.0.0.rc3/gfs2/mkfs/Makefile	2009-06-11 11:02:55.000000000 +0200
@@ -21,11 +21,9 @@
 
 CFLAGS += -D_FILE_OFFSET_BITS=64 -D_LARGEFILE64_SOURCE -D_GNU_SOURCE
 CFLAGS += -I${KERNEL_SRC}/include/
-CFLAGS += -I${volidincdir}
 CFLAGS += -I$(S)/../include -I$(S)/../libgfs2
 CFLAGS += -I${incdir}
 
-LDFLAGS += -L${volidlibdir} -lvolume_id
 LDFLAGS += -L../libgfs2 -lgfs2
 LDFLAGS += -L${libdir}
 
diff -Naurd cluster-3.0.0.rc2/gfs2/mount/mount.gfs2.c cluster-3.0.0.rc3/gfs2/mount/mount.gfs2.c
--- cluster-3.0.0.rc2/gfs2/mount/mount.gfs2.c	2009-05-07 09:09:32.000000000 +0200
+++ cluster-3.0.0.rc3/gfs2/mount/mount.gfs2.c	2009-06-11 11:02:55.000000000 +0200
@@ -1,7 +1,6 @@
 #include "util.h"
 
-char *prog_name;
-char *fsname;
+const char *fsname;
 int verbose, fake_mount = 0, no_mtab = 0;
 static sigset_t old_sigset;
 
@@ -155,30 +154,6 @@
 		lock_dlm_leave(mo, sb, mnterr);
 }
 
-#if 0
-static void check_sys_fs(char *fsname)
-{
-	DIR *d;
-	struct dirent *de;
-
-	d = opendir("/sys/fs/");
-	if (!d)
-		die("no /sys/fs/ directory found: %d\n", errno);
-
-	while ((de = readdir(d))) {
-		if (strnlen(fsname, 5) != strnlen(de->d_name, 5))
-			continue;
-		if (!strncmp(fsname, de->d_name, strnlen(fsname, 5))) {
-			closedir(d);
-			return;
-		}
-	}
-	closedir(d);
-	die("fs type \"%s\" not found in /sys/fs/, is the module loaded?\n",
-	    fsname);
-}
-#endif
-
 int main(int argc, char **argv)
 {
 	struct mount_options mo;
@@ -189,12 +164,10 @@
 	memset(&mo, 0, sizeof(mo));
 	memset(&sb, 0, sizeof(sb));
 
-	prog_name = argv[0];
-
-	if (!strstr(prog_name, "gfs"))
-		die("invalid mount helper name \"%s\"\n", prog_name);
+	if (!strstr(argv[0], "gfs"))
+		die("invalid mount helper name \"%s\"\n", argv[0]);
 
-	fsname = (strstr(prog_name, "gfs2")) ? "gfs2" : "gfs";
+	fsname = (strstr(argv[0], "gfs2")) ? "gfs2" : "gfs";
 	strcpy(mo.type, fsname);
 
 	if (argc < 2) {
diff -Naurd cluster-3.0.0.rc2/gfs2/mount/mtab.c cluster-3.0.0.rc3/gfs2/mount/mtab.c
--- cluster-3.0.0.rc2/gfs2/mount/mtab.c	2009-05-07 09:09:32.000000000 +0200
+++ cluster-3.0.0.rc3/gfs2/mount/mtab.c	2009-06-11 11:02:55.000000000 +0200
@@ -1,6 +1,5 @@
 #include "util.h"
 
-extern char *prog_name;
 extern char *fsname;
 extern int verbose;
 static int ignoring_mtab;
diff -Naurd cluster-3.0.0.rc2/gfs2/mount/util.c cluster-3.0.0.rc3/gfs2/mount/util.c
--- cluster-3.0.0.rc2/gfs2/mount/util.c	2009-05-07 09:09:32.000000000 +0200
+++ cluster-3.0.0.rc3/gfs2/mount/util.c	2009-06-11 11:02:55.000000000 +0200
@@ -43,7 +43,6 @@
 
 #endif  /*  __BYTE_ORDER == __LITTLE_ENDIAN  */
 
-extern char *prog_name;
 extern char *fsname;
 extern int verbose;
 
@@ -52,7 +51,7 @@
 /* opt_map stuff from util-linux */
 
 struct opt_map {
-	char *opt;      /* option name */
+	const char *opt;      /* option name */
 	int skip;       /* skip in mtab option string (gfs: not used) */
 	int inv;	/* true if flag value should be inverted */
 	int mask;       /* flag mask value */
@@ -258,7 +257,7 @@
 	log_debug("read_proc_mounts: opts = \"%s\"", mo->opts);
 }
 
-void gfs2_inum_in(struct gfs2_inum *no, char *buf)
+static void gfs2_inum_in(struct gfs2_inum *no, char *buf)
 {
 	struct gfs2_inum *str = (struct gfs2_inum *)buf;
 
@@ -266,7 +265,7 @@
 	no->no_addr = be64_to_cpu(str->no_addr);
 }
 
-void gfs2_meta_header_in(struct gfs2_meta_header *mh, char *buf)
+static void gfs2_meta_header_in(struct gfs2_meta_header *mh, char *buf)
 {
 	struct gfs2_meta_header *str = (struct gfs2_meta_header *)buf;
 
@@ -275,7 +274,7 @@
 	mh->mh_format = be32_to_cpu(str->mh_format);
 }
 
-void gfs2_sb_in(struct gfs2_sb *sb, char *buf)
+static void gfs2_sb_in(struct gfs2_sb *sb, char *buf)
 {
 	struct gfs2_sb *str = (struct gfs2_sb *)buf;
 
@@ -574,7 +573,7 @@
 int lock_dlm_remount(struct mount_options *mo, struct gen_sb *sb)
 {
 	struct gfsc_mount_args ma;
-	char *mode;
+	const char *mode;
 	int fd, rv, result;
 
 	memset(&ma, 0, sizeof(ma));
diff -Naurd cluster-3.0.0.rc2/gfs2/mount/util.h cluster-3.0.0.rc3/gfs2/mount/util.h
--- cluster-3.0.0.rc2/gfs2/mount/util.h	2009-05-07 09:09:32.000000000 +0200
+++ cluster-3.0.0.rc3/gfs2/mount/util.h	2009-06-11 11:02:55.000000000 +0200
@@ -23,20 +23,19 @@
 
 #define die(fmt, args...) \
 do { \
-	fprintf(stderr, "%s: ", prog_name); \
 	fprintf(stderr, fmt, ##args); \
 	exit(EXIT_FAILURE); \
 } while (0)
 
 #define warn(fmt, args...) \
 do { \
-	fprintf(stderr, "%s: " fmt "\n", prog_name, ##args); \
+	fprintf(stderr, fmt "\n", ##args); \
 } while (0)
 
 #define log_debug(fmt, args...) \
 do { \
 	if (verbose) \
-		printf("%s: " fmt "\n", prog_name, ##args); \
+		printf(fmt "\n", ##args); \
 } while (0)
 
 #define do_read(fd, buff, len) \
diff -Naurd cluster-3.0.0.rc2/gfs2/quota/check.c cluster-3.0.0.rc3/gfs2/quota/check.c
--- cluster-3.0.0.rc2/gfs2/quota/check.c	2009-05-07 09:09:32.000000000 +0200
+++ cluster-3.0.0.rc3/gfs2/quota/check.c	2009-06-11 11:02:55.000000000 +0200
@@ -267,27 +267,6 @@
 }
 
 /**
- * print_list - print the contents of an ID list
- * @str: a string describing the list
- * @list: the list
- *
- */
-
-static void
-print_list(char *str, osi_list_t *list)
-{
-#if 0
-	osi_list_t *tmp;
-	values_t *v;
-
-	for (tmp = list->next; tmp != list; tmp = tmp->next) {
-		v = osi_list_entry(tmp, values_t, v_list);
-		printf("%s %10u: %"PRId64"\n", str, v->v_id, v->v_blocks);
-	}
-#endif
-}
-
-/**
  * do_compare - compare to ID lists and see if they match
  * @type: the type of list (UID or GID)
  * @fs_list: the list derived from scaning the FS
@@ -297,7 +276,7 @@
  */
 
 static int
-do_compare(char *type, osi_list_t *fs_list, osi_list_t *qf_list)
+do_compare(const char *type, osi_list_t *fs_list, osi_list_t *qf_list)
 {
 	osi_list_t *tmp1, *tmp2;
 	values_t *v1, *v2;
@@ -426,11 +405,6 @@
 	scan_fs(device, comline->filesystem, &fs_uid, &fs_gid, &hl);
 	read_quota_file(sdp, comline, &qf_uid, &qf_gid);
 
-	print_list("fs user ", &fs_uid);
-	print_list("fs group", &fs_gid);
-	print_list("qf user ", &qf_uid);
-	print_list("qf group", &qf_gid);
-
 	mismatch = do_compare("user", &fs_uid, &qf_uid);
 	mismatch |= do_compare("group", &fs_gid, &qf_gid);
 
@@ -565,11 +539,6 @@
 	v->v_blocks = 0;
 	osi_list_add(&v->v_list, &qf_gid);
 
-	print_list("fs user ", &fs_uid);
-	print_list("fs group", &fs_gid);
-	print_list("qf user ", &qf_uid);
-	print_list("qf group", &qf_gid);
-
 	set_list(sdp, comline, TRUE, &qf_uid, 0);
 	set_list(sdp, comline, FALSE, &qf_gid, 0);
 	set_list(sdp, comline, TRUE, &fs_uid, 1);
